> For the complete documentation index, see [llms.txt](https://docs.defguard.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defguard.net/for-developers/rest-api/core/network-device/check-whether-the-given-ip-addresses-are-free-in-a-location.md).

# Check whether the given IP addresses are free in a location

```json
{"openapi":"3.1.0","info":{"title":"defguard Core API","version":"2.0.3"},"tags":[{"name":"network device","description":"Network devices, as opposed to user devices, and their IP addresses."}],"security":[{"cookie":[]},{"api_token":[]}],"components":{"securitySchemes":{"cookie":{"type":"apiKey","in":"cookie","name":"defguard_session"},"api_token":{"type":"http","scheme":"bearer"}},"schemas":{"IpAvailabilityCheck":{"type":"object","required":["ips"],"properties":{"device_id":{"oneOf":[{"type":"null"},{"$ref":"#/components/schemas/i64"}]},"ips":{"type":"array","items":{"type":"string"}}}},"i64":{"type":"integer","format":"int64"},"ApiErrorResponse":{"type":"object","description":"Body returned with error responses.","required":["msg"],"properties":{"code":{"type":["string","null"],"description":"Machine-readable error code, returned for selected errors."},"msg":{"type":"string","description":"Human-readable error message."}}}}},"paths":{"/api/v1/device/network/ip/{network_id}":{"post":{"tags":["network device"],"summary":"Check whether the given IP addresses are free in a location","operationId":"check_ip_availability","parameters":[{"name":"network_id","in":"path","description":"ID of the network.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IpAvailabilityCheck"}}},"required":true},"responses":{"200":{"description":"Availability of the requested IP addresses.","content":{"application/json":{"schema":{"type":"array","items":{"type":"object"}}}}},"400":{"description":"Location not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"401":{"description":"Session is missing or invalid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"403":{"description":"Requires admin privileges.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"500":{"description":"Unable to check IP availability.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}}}
```
